{
  "name": "@repo/openapi",
  "version": "1.0.0",
  "description": "API schemas using zod",
  "private": true,
  "main": "./dist/index.js",
  "module": "./dist/index.mjs",
  "types": "./dist/index.d.ts",
  "exports": {
    ".": {
      "import": "./dist/index.mjs",
      "require": "./dist/index.js",
      "types": "./dist/index.d.ts"
    }
  },
  "sideEffects": false,
  "files": [
    "dist"
  ],
  "scripts": {
    "build": "tsc",
    "dev": "tsup --watch",
    "clean": "rimraf .turbo && rimraf dist && rimraf node_modules",
    "lint": "eslint . --ext .ts,.tsx"
  },
  "dependencies": {
    "@asteasolutions/zod-to-openapi": "6.4.0",
    "openapi-sampler": "1.4.0",
    "openapi3-ts": "4.2.2",
    "httpsnippet-lite": "3.0.5",
    "axios": "^1.7.7",
    "zod": "^3.22.4"
  },
  "devDependencies": {
    "@types/node": "^20.10.5",
    "eslint": "^8.56.0",
    "rimraf": "^5.0.5",
    "tsup": "^7.2.0",
    "typescript": "^5.8.3"
  },
  "peerDependencies": {
    "zod": "^3.22.4"
  }
}